# CAS BACnet Stack Examples

Two example projects have been included that demonstrate how to make a BACnet client and BACnet server applications.

## BACnetStackDLLServerExample

Creates a BACnet server application with an example of several different BACnet objects.

- device 389999 (Device_Rainbow)
  - analog_input 0 (AnalogInput_Red)
  - analog_output 1 (AnalogOutput_Vermilion)
  - analog_value 2 (AnalogValue_Orange)
  - binary_input 3 (BinaryInput_Amber)
  - binary_output 4 (BinaryOutput_Yellow)
  - binary_value 5 (BinaryValue_Chartreuse)
  - multi_state_input 13 (MultiStateInput_Green)
  - multi_state_output 14 (MultiStateOutput_Teal)
  - multi_state_value 19 (MultiStateValue_Blue)
  - bitstring_value 39 (BitstringValue_White)
  - characterstring_value 40 (CharacterstringValue_Gray)
  - data_value 42 (DateValue_Brown)
  - integer_value 45 (IntegerValue_Violet)
  - large_analog_value 46 (LargeAnalogValue_Purple)
  - octetstring_value 47 (OctetstringValue_Black)
  - positive_integer_value 48 (PositiveIntegerValue_Magenta)
  - time_value 50 (TimeValue_Pink)
  - network_port 56 (NetworkPort_Charcoal)

### User input

While the BACnet server application is running the user can preformed the following actions.

- Press "*i*' to increment the  *analog_input 0 (AnalogInput_Red)* object's present value by 1.1
- Press "*q*' to quit the application.

## BACnetStackDLLClientExample

Creates a BACnet client application that is designed to work with the *BACnetStackDLLServerExample*, The client application sends a series of specific BACnet messages to test various BACnet services enabled on the BACnet server.

### Command line syntax

    BACnetStackDLLClientExample_Win32_Release -i [Destination IP address] -p [Destination port]

- **Destination IP address** - The local IP address of the test BACnet server. **Default:** 192.168.1.26
- **Destination port** - The port for the BACnet server. **Default:** 47808
